## vdr-plugin-freecell 0.0.2

=== Makefile ===
#
# Makefile for a Video Disk Recorder plugin
#
# $Id$

# The official name of this plugin.
# This name will be used in the '-P...' option of VDR to load the plugin.
# By default the main source file also carries this name.
#
PLUGIN = freecell

### The version number of this plugin (taken from the main source file):

VERSION = $(shell grep 'static const char \*VERSION *=' $(PLUGIN).c | awk '{ print $$6 }' | sed -e 's/[";]//g')

### The C++ compiler and options:

CXX      ?= g++
CXXFLAGS ?= -Wall -Woverloaded-virtual

### The directory environment:

DVBDIR = ../../../../DVB
VDRDIR = ../../..
LIBDIR = ../../lib
TMPDIR = /tmp

### Allow user defined options to overwrite defaults:

-include $(VDRDIR)/Make.config

### The version number of VDR (taken from VDR's "config.h"):

VDRVERSION = $(shell grep 'define VDRVERSION ' $(VDRDIR)/config.h | awk '{ print $$3 }' | sed -e 's/"//g')

### The name of the distribution archive:

ARCHIVE = $(PLUGIN)-$(VERSION)
PACKAGE = vdr-$(ARCHIVE)

### Includes and Defines (add further entries here):

INCLUDES += -I$(VDRDIR)/include -I$(DVBDIR)/include -I.

DEFINES += -D_GNU_SOURCE -DPLUGIN_NAME_I18N='"$(PLUGIN)"'

### The object files (add further files here):

OBJS = $(PLUGIN).o cards.o game.o osd.o cursor.o i18n.o \
	\
	tools/collection.o tools/list.o tools/shared.o tools/string.o tools/tools.o 

ifdef DEBUG
	DEFINES  += -DTOOLBOX_DEBUG -DDEBUG
	CXXFLAGS += -g
else
	CXXFLAGS += -O2
endif

### Implicit rules:

%.o: %.c
	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) -o $@ $<

# Dependencies:

MAKEDEP = g++ -MM -MG
DEPFILE = .dependencies
$(DEPFILE): Makefile
	@$(MAKEDEP) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.c) > $@

-include $(DEPFILE)

### Targets:

all: libvdr-$(PLUGIN).so

libvdr-$(PLUGIN).so: $(OBJS)
	$(CXX) $(CXXFLAGS) -shared $(OBJS) -o $@
	@cp $@ $(LIBDIR)/$@.$(VDRVERSION)

dist: clean
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@mkdir $(TMPDIR)/$(ARCHIVE)
	@cp -a * $(TMPDIR)/$(ARCHIVE)
	@tar czf $(PACKAGE).tgz -C $(TMPDIR) $(ARCHIVE)
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@echo Distribution package created as $(PACKAGE).tgz

clean:
	@-rm -f $(OBJS) $(DEPFILE) *.so *.tgz core* *~

upd:
	@make -C ../../../.. upd-dev

=== debian/changelog ===
vdr-plugin-freecell (0.0.2-50) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.18)

 -- Tobias Grimm <etobi@debian.org>  Sun, 17 Apr 2011 20:06:41 +0200

vdr-plugin-freecell (0.0.2-49) unstable; urgency=low

  * Build-depend on vdr-dev >= 1.7.17
  * Updated debian/copyright
  * Standards-Version: 3.9.1
  * Switched to debhelper 7 and dropped cdbs / dpatch

 -- Tobias Grimm <etobi@debian.org>  Thu, 07 Apr 2011 20:02:45 +0200

vdr-plugin-freecell (0.0.2-48) unstable; urgency=low

  * Build-depend on vdr-dev >= 1.6.0-16
  * Bumped standards version to 3.8.4
  * Minor debian/copyright update

 -- Tobias Grimm <etobi@debian.org>  Sun, 28 Mar 2010 15:03:30 +0200

vdr-plugin-freecell (0.0.2-47) unstable; urgency=low

  * Removed non-standard shebang line from debian/rules (Closes: #552643)
  * Added README.source
  * Standards-Version: 3.8.3

 -- Tobias Grimm <etobi@debian.org>  Sun, 08 Nov 2009 23:36:47 +0100

vdr-plugin-freecell (0.0.2-46) unstable; urgency=low

  * Release for vdrdevel 1.7.6
  * Added ${misc:Depends}
  * Bumped standards version to 3.8.1
  * Updated debian/copyright
  * Updated debian/watch
  * Changed section to "video"

 -- Thomas Günther <tom@toms-cafe.de>  Wed, 29 Apr 2009 23:10:53 +0200

vdr-plugin-freecell (0.0.2-45) unstable; urgency=low

  [ Tobias Grimm ]
  * Dropped patchlevel control field
  * Build-Depend on vdr-dev (>=1.6.0-5)
  * Bumped Standards-Version to 3.8.0
  * Using COMPAT=5 now

 -- Thomas Schmidt <tschmidt@debian.org>  Sat, 19 Jul 2008 17:38:18 +0200

vdr-plugin-freecell (0.0.2-44) unstable; urgency=low

  * Upload to unstable

 -- Thomas Schmidt <tschmidt@debian.org>  Sun, 08 Jun 2008 23:19:00 +0200

vdr-plugin-freecell (0.0.2-43) experimental; urgency=low

  * Increased package version to force rebuild for vdr 1.6.0-1ctvdr7

 -- Tobias Grimm <tg@e-tobi.net>  Mon, 12 May 2008 12:57:30 +0200

vdr-plugin-freecell (0.0.2-42) experimental; urgency=low

  [ Thomas Schmidt ]
  * Build-Depend on vdr-dev (>=1.6.0)
  * Switched Build-System to cdbs, Build-Depend on cdbs
  * Added Homepage field to debian/control
  * Renamed XS-Vcs-* fields to Vcs-* in debian/control
  * Bumped Standards-Version to 3.7.3
  * Updated debian/copyright to our new format

 -- Tobias Grimm <tg@e-tobi.net>  Thu, 03 Apr 2008 23:40:59 +0200

vdr-plugin-freecell (0.0.2-41) experimental; urgency=low

  * Force rebuild for vdr 1.5.15

 -- Tobias Grimm <tg@e-tobi.net>  Mon, 18 Feb 2008 21:07:59 +0100

vdr-plugin-freecell (0.0.2-40) unstable; urgency=low

  * Release for vdrdevel 1.5.13

 -- Thomas Günther <tom@toms-cafe.de>  Wed, 16 Jan 2008 10:31:32 +0100

vdr-plugin-freecell (0.0.2-39) unstable; urgency=low

  * Release for vdrdevel 1.5.12

 -- Thomas Günther <tom@toms-cafe.de>  Tue, 20 Nov 2007 23:46:17 +0100

vdr-plugin-freecell (0.0.2-38) unstable; urgency=low

  * Release for vdrdevel 1.5.11

 -- Thomas Günther <tom@toms-cafe.de>  Tue,  6 Nov 2007 23:34:11 +0100

vdr-plugin-freecell (0.0.2-37) unstable; urgency=low

  * Release for vdrdevel 1.5.10

 -- Thomas Günther <tom@toms-cafe.de>  Tue, 16 Oct 2007 23:50:53 +0200

vdr-plugin-freecell (0.0.2-36) unstable; urgency=low

  * Release for vdrdevel 1.5.9

 -- Thomas Günther <tom@toms-cafe.de>  Tue, 28 Aug 2007 01:01:03 +0200

vdr-plugin-freecell (0.0.2-35) unstable; urgency=low

  * Release for vdrdevel 1.5.8

 -- Thomas Günther <tom@toms-cafe.de>  Thu, 23 Aug 2007 01:08:59 +0200

vdr-plugin-freecell (0.0.2-34) unstable; urgency=low

  * Release for vdrdevel 1.5.6

 -- Thomas Günther <tom@toms-cafe.de>  Tue, 14 Aug 2007 01:46:13 +0200

vdr-plugin-freecell (0.0.2-33) unstable; urgency=low

  * Release for vdrdevel 1.5.5
  * Added 93_freecell-0.0.2-1.5.4.dpatch

 -- Thomas Günther <tom@toms-cafe.de>  Wed, 27 Jun 2007 23:43:26 +0200

vdr-plugin-freecell (0.0.2-32) unstable; urgency=low

  * Added XS-Vcs-Svn and XS-Vcs-Browser fields to debian/control
  * Removed version from Build-Dependancy to dpatch - even Sarge has the
    required version

 -- Thomas Schmidt <tschmidt@debian.org>  Mon, 28 May 2007 19:40:25 +0200

vdr-plugin-freecell (0.0.2-31) experimental; urgency=low

  * Release for vdrdevel 1.5.2

 -- Thomas Günther <tom@toms-cafe.de>  Sat, 28 Apr 2007 00:00:26 +0200

vdr-plugin-freecell (0.0.2-30) experimental; urgency=low

  * Release for vdrdevel 1.5.1
  * Added myself to Uploaders

 -- Thomas Günther <tom@toms-cafe.de>  Tue, 27 Feb 2007 19:59:14 +0100

vdr-plugin-freecell (0.0.2-29) experimental; urgency=low

  [ Thomas Günther ]
  * Replaced VDRdevel adaptions in debian/rules with make-special-vdr
  * Adapted call of dependencies.sh and patchlevel.sh to the new location
    in /usr/share/vdr-dev/
  * Using debian/compat now

  [ Tobias Grimm ]
  * Build-Depend on vdr-dev (>=1.4.5-1)

 -- Tobias Grimm <tg@e-tobi.net>  Sun, 14 Jan 2007 20:24:25 +0100

vdr-plugin-freecell (0.0.2-28) unstable; urgency=low

  * Build-Depend on vdr-dev (>=1.4.4-1)

 -- Tobias Grimm <tg@e-tobi.net>  Sun,  5 Nov 2006 13:46:52 +0100

vdr-plugin-freecell (0.0.2-27) unstable; urgency=low

  * Build-Depend on vdr-dev (>=1.4.3-1)

 -- Thomas Schmidt <tschmidt@debian.org>  Wed, 27 Sep 2006 08:26:14 +0200

vdr-plugin-freecell (0.0.2-26) unstable; urgency=low

  * Bumped Standards-Version to 3.7.2
  * Added note about the Debian Maintainers to debian/copyright
  * Build-Depend on vdr-dev (>=1.4.2-1)

 -- Thomas Schmidt <tschmidt@debian.org>  Mon, 28 Aug 2006 20:58:41 +0200

vdr-plugin-freecell (0.0.2-25) unstable; urgency=low

  * Thomas Schmidt <tschmidt@debian.org>
    - Build-Depend on vdr-dev (>=1.4.1-1)

 -- Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>  Sun, 18 Jun 2006 15:54:36 +0200

vdr-plugin-freecell (0.0.2-24) unstable; urgency=low

  * Thomas Schmidt <tschmidt@debian.org>
    - Build-Depend on vdr-dev (>=1.4.0-1)

 -- Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>  Sun, 30 Apr 2006 21:19:26 +0200

vdr-plugin-freecell (0.0.2-23) unstable; urgency=low

  * Thomas Schmidt <tschmidt@debian.org>


=== debian/control ===
Source: vdr-plugin-freecell
Section: video
Priority: extra
Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
Uploaders: Tobias Grimm <etobi@debian.org>, Thomas Schmidt <tschmidt@debian.org>, Thomas Günther <tom@toms-cafe.de>
Build-Depends: debhelper (>= 7.0.50~), vdr-dev (>= 1.7.18)
Standards-Version: 3.9.1
Vcs-Svn: svn://svn.debian.org/pkg-vdr-dvb/vdr/vdr-plugin-freecell/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-vdr-dvb/vdr/vdr-plugin-freecell/trunk/
Homepage: http://linux.kompiliert.net/index.php?view=freecell

Package: vdr-plugin-freecell
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${vdr:Depends}
Description: Plugin for VDR that implements the card game "Freecell"
 This Freecell plugin is an implementation of the (well-known) card game 
 "Freecell" played on the On Screen Display of your Video Disk Recorder.

=== debian/watch ===
version=2
http://linux.kompiliert.net/index.php?view=freecell .*/vdr-freecell-(.*)\.tgz
